# Fetch an output stream target This operation shows the details of an output stream target. Endpoint: GET /transcoders/{transcoder_id}/outputs/{output_id}/output_stream_targets/{stream_target_id} Version: v1.11 ## Path parameters: - `transcoder_id` (string, required) The unique alphanumeric string that identifies the transcoder. - `output_id` (string, required) The unique alphanumeric string that identifies the output rendition. - `stream_target_id` (string, required) The unique alphanumeric string that identifies the stream target. Tip: If you're using both the primary and backup URL for a stream target, send output_stream_target_id in the path instead. output_stream_target_id was returned when you added the stream target to the ouput rendition. This allows you to differentiate between the primary and backup URL versions of the stream target. ## Response 200 fields (application/json): - `output_stream_target` (object) Example: {"id":"4Gp5rF23","stream_target_id":"QvvJYJjk","use_stream_target_backup_url":true,"stream_target":{"id":"QvvJYJjk","name":"My provisioned RTMP Stream Target","type":"wowza","created_at":"2020-01-29T17:16:21.965Z","updated_at":"2020-01-31T04:06:40.965Z"}} - `output_stream_target.created_at` (string) The date and time that the output stream target was created. - `output_stream_target.id` (string) The unique alphanumeric string that identifies the output stream target. Example: "4Gp5rF23" - `output_stream_target.stream_target` (object) - `output_stream_target.stream_target.created_at` (string) The date and time that the stream target was created. - `output_stream_target.stream_target.id` (string) The unique alphanumeric string that identifies the stream target. - `output_stream_target.stream_target.name` (string) A descriptive name for the stream target. Maximum 255 characters. - `output_stream_target.stream_target.state` (string) The state of the stream target. Enum: "activated", "archived" - `output_stream_target.stream_target.type` (string) custom is an external, third-party destination and fastly is a Wowza CDN on Fastly target. Enum: "custom", "fastly" - `output_stream_target.stream_target.updated_at` (string) The date and time that the stream target was updated. - `output_stream_target.stream_target_id` (string) The unique alphanumeric string that identifies the stream target. Example: "QvvJYJjk" - `output_stream_target.updated_at` (string) The date and time that the output stream target was updated. - `output_stream_target.use_stream_target_backup_url` (boolean) Specifies whether the output stream target uses the stream target's primary or backup URL. Example: true ## Response 401 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 403 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 404 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 410 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array)